//
//  HRAdvCamSettings.h
//  controllers_api
//
//  Created by Vladimir Starikh on 30.11.2022.
//  Copyright © 2022 HeliconSoft. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <controllers_api/hr_structs.h>

NS_ASSUME_NONNULL_BEGIN

@class RemoteCore;

typedef NS_ENUM(NSInteger, HRAdvCamSet_Controls) {
	HRAdvCamSet_Controls_ColorTemp,
	HRAdvCamSet_Controls_WhiteBalance
};

@protocol HRAdvCamSettingsProtocol <NSObject>

@optional

- (void)advCamSetControlStateChanged;
- (void)advCamSetAddCbItem:(HRAdvCamSet_Controls)type withName:(NSString *)name andId:(unsigned int)itemId;
- (void)advCamSetSetCurCbItem:(HRAdvCamSet_Controls)type andId:(unsigned int) itemId;
- (void)advCamSetClearCB:(HRAdvCamSet_Controls)type;

@end

@interface HRAdvCamSettings : NSObject

@property (weak) id<HRAdvCamSettingsProtocol> delegate;

- (instancetype)initWithCore:(RemoteCore *)core;

- (void)updateUI;
- (HR_ControlState)controlState:(HRAdvCamSet_Controls)type;
- (void)setCamProperty:(HRAdvCamSet_Controls)hrType andId:(unsigned int)itemId;

@end

NS_ASSUME_NONNULL_END
