//
//  MainWindow.h
//  controllers
//
//  Created by Vladimir Starikh on 19.11.2022.
//  Copyright © 2022 HeliconSoft. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <controllers_api/hr_structs.h>

NS_ASSUME_NONNULL_BEGIN

@class RemoteCore;

@protocol HRMainWindowProtocol <NSObject>

@optional

- (void)controlerStateChanged;
- (void)changedCurrentCamera:(NSString *)name;

@end

typedef NS_ENUM(NSInteger, MWControlType) {
	MWControlType_SwitchLV,
	MWControlType_TakePicture,
	MWControlType_Autofocus
};

@interface HRMainWindow : NSObject

- (instancetype)initWithCore:(RemoteCore *)core;

- (void)updateUI;

#pragma mark -
#pragma mark work

- (void)switchLV;
- (void)takeShot;

#pragma mark -
#pragma mark data

- (NSString *)pathToImageStack;

#pragma mark -
#pragma mark controls

- (HR_ControlState)controlState:(MWControlType)type;

@property (weak) id<HRMainWindowProtocol> delegate;

@end

NS_ASSUME_NONNULL_END
