//
//  NSView+RemoteCore.h
//  controllers_api
//
//  Created by Vladimir Starikh on 17.11.2022.
//  Copyright © 2022 HeliconSoft. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@class HRMainWindow;
@class HRLiveView;
@class HRDeviceList;
@class HRCameraSettings;
@class HRAdvCamSettings;

@class HRPreferences;

@protocol RemoteCoreDelegate <NSObject>

@required

- (void)runQueue;

@end

@interface RemoteCore : NSObject

@property (weak) id<RemoteCoreDelegate> delegate;

@property (strong, readonly) HRMainWindow *mainWnd;
@property (strong, readonly) HRLiveView *liveView;
@property (strong, readonly) HRDeviceList *deviceList;
@property (strong, readonly) HRCameraSettings *cameraSettings;
@property (strong, readonly) HRAdvCamSettings *advCamSettings;

@property (strong, readonly) HRPreferences *preferences;

- (void)setCommonPath:(NSString *)path;
- (void)initLogger:(nonnull NSString *)fileName;
- (void)setPathToStoreImages:(NSString *)path;

- (void)initCore;
- (void)deinitCore;
- (void)createMockCamera;

@end

NS_ASSUME_NONNULL_END
