//
//  HRCameraSettings.h
//  controllers_api
//
//  Created by Vladimir Starikh on 24.11.2022.
//  Copyright © 2022 HeliconSoft. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <controllers_api/hr_structs.h>

NS_ASSUME_NONNULL_BEGIN

@class RemoteCore;

typedef NS_ENUM(NSInteger, HRCamSet_Controls) {
	HRCamSet_Controls_ExposureMode,
	HRCamSet_Controls_Aperture,
	HRCamSet_Controls_ShutterSpeed,
	HRCamSet_Controls_ISO,
	HRCamSet_Controls_ExpComp,
	HRCamSet_Controls_ImgQual,
	HRCamSet_Controls_Battery
};

@protocol HRCameraSettingsProtocol <NSObject>

@optional

- (void)controlStateChanged;
- (void)addCBItem:(HRCamSet_Controls)type withName:(NSString *)name itemId:(unsigned int)itemId;
- (void)clearCB:(HRCamSet_Controls)type;
- (void)setCurrentCBItem:(HRCamSet_Controls)type andItemId:(unsigned int)itemId;
- (void)finishedUpdateProperty:(HRCamSet_Controls)type;
- (void)batteryValChanged:(int)val;

@end

@interface HRCameraSettings : NSObject

- (instancetype)initWithCore:(RemoteCore *)core;

@property (weak) id<HRCameraSettingsProtocol> delegate;

- (void)updateUI;
- (HR_ControlState)controlState:(HRCamSet_Controls)type;
 - (void)changeCameraProperty:(HRCamSet_Controls)type andId:(unsigned int)itemId;

@end

NS_ASSUME_NONNULL_END
