//
//  MenuPlaceholder.h
//  remote
//
//  Created by Vladimir Starikh on 06.12.2022.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@class MenuPlaceholder;

@protocol MenuPlaceholderDelegate <NSObject>

@required
- (void)menuPlaceholder:(MenuPlaceholder *)mp itemSelected:(unsigned int)itemId;

@end

@interface MenuPlaceholder : NSObject

@property (weak) id<MenuPlaceholderDelegate> delegate;
@property (strong) NSString *menuName;
@property (strong) NSString *itemPlaceholderName;

- (instancetype)initWithButton:(UIButton *)btn;

- (void)itemAdded:(NSString *)name withId:(unsigned int)itemId;
- (void)clearMenu;
- (void)setCurrentItem:(unsigned int)itemId;

@end

NS_ASSUME_NONNULL_END
